hadoop-hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Prasad Chakka (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HIVE-395) Compile error with Hadoop 0.19.1 + Eclipse
Date Wed, 08 Apr 2009 16:32:12 GMT

    [ https://issues.apache.org/jira/browse/HIVE-395?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12697085#action_12697085
] 

Prasad Chakka commented on HIVE-395:
------------------------------------

I don't think I have ever tested the Hive Eclipse environment with Hadoop-0.19. I don't think
there is an easy way to compile Hive in Eclipse for both hadoop 17 and 19.

> Compile error with Hadoop 0.19.1 + Eclipse
> ------------------------------------------
>
>                 Key: HIVE-395
>                 URL: https://issues.apache.org/jira/browse/HIVE-395
>             Project: Hadoop Hive
>          Issue Type: Bug
>         Environment: Hadoop 0.19.1, Eclipse, Java 6
>            Reporter: Neil Conway
>            Priority: Minor
>
> Compile error with Hadoop 0.19.1:
> The method validateInput(JobConf) is undefined for the type InputFormat
> HiveInputFormat.java	hive-trunk/ql/src/java/org/apache/hadoop/hive/ql/io
> line 241
> The ant build apparently hacks around this with the "[exclude_0_19]" comment. Easy to
just comment this line out for now, but a proper fix would be nice eventually.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message